// vite.config.js
import { defineConfig } from "vite";
import tailwindcss from "@tailwindcss/vite";
import vue from "@vitejs/plugin-vue";
import { fileURLToPath, URL } from 'node:url'; // <<< ต้องเพิ่มบรรทัดนี้

export default defineConfig({
    plugins: [
        tailwindcss(), // ตรวจสอบว่า @tailwindcss/vite ถูกติดตั้งและใช้ถูกต้อง
        vue()
    ],
    resolve: { // จะได้ใช้ import ... from '@/...'; ได้
        alias: {
            '@': fileURLToPath(new URL('./src', import.meta.url))
        }
    }
});